irtext2udp(1)

NAME

irtext2udp - Convert pulse/space text data to binary UDP driver format

SYNOPSIS

irtext2udp [-r resolution] [file]

DESCRIPTION

irtext2udp is a filter converting pulse/space printable data such as generated by mode2(1) to the binary format used by the LIRC udp driver.

The file argument is a textfile with pulse/space data. If not given, standard input is used. Lines not starting with space or pulse are silently ignored.

The normal usage pattern is to combine irtext2udp with standard tools such as ncat(1) or socat(1) to send the binary data to a lircd instance using the udp driver.

OPTIONS

-r, --resolution  <resolution>
    Udp packages are measured in ticks. The length of each tick is defined by the resolution. The default value is 61, computed as 1000000/16384 and corresponding to 1/16384 seconds. This is derived from old designs using a 32 kHz clock.

-v , --version
    Print version and exit.

-h , --help
    Print help message.

EXAMPLES

Using ncat(1) or socat(1) to send data to a lircd instance using the udp driver listening on the default udp port 8765 on localhost:
    irtext2udp < input-file | nc --udp localhost 8765
    irtext2udp < input-file | socat STDIN UDP:localhost:8765

SEE ALSO
ncat(1)
mode2(1)
lircd(8)
socat(1)
http://lirc.org/html/udp.html